Bug 109626 - [new port] devel/py-qt4-dbus: PyQt4 bindings, D-BUS module
[new port] devel/py-qt4-dbus: PyQt4 bindings, D-BUS module
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Martin Wilke
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-27 18:10 UTC by danny
Modified: 2007-03-27 11:00 UTC (History)
1 user (show)

See Also:


Attachments
12-py-qt4-dbus.shar (10.63 KB, text/plain)
2007-02-27 18:10 UTC, danny
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description danny 2007-02-27 18:10:11 UTC
	This PR creates:	devel/py-qt4-dbus
				devel/py-qt4-dbus/files
	new files:		Makefile, distinfo, pkg-descr, pkg-plist,
				files/patch-configure.py

	This PR is part 12 of a series of 20 PRs concerning PyQt4 and QScintilla2


	The following existing ports are affected
	=========================================

	devel/py-sip          ==> update to recent snapshot
	devel/py-dbus         ==> update to 0.8.1 (dbus 1.0 API)
	x11-toolkits/py-qt    ==> update to recent snapshot (sip backport)


	The following ports are new
	===========================

	devel/qscintilla2
	devel/qscintilla2-designerplugin

	databases/py-qt4-sql
	devel/py-qt4-assistant
	devel/py-qt4-core
	devel/py-qt4-dbus
	devel/py-qt4-designer
	devel/py-qt4-designerplugin
	devel/py-qt4-qscintilla2
	devel/py-qt4-test
	graphics/py-qt4-svg
	misc/py-qt4-demo
	misc/py-qt4-doc
	net/py-qt4-network
	textproc/py-qt4-xml
	x11/py-qt4-opengl
	x11-toolkits/py-qt4-gui


	Distfile rerolling, packages
	============================

	Currently there are new snapshots made available upstream daily. The
	older snapshots are not retained and upstream often uploads a new
	snapshot under an existing name, which causes checksums to break.
	The distfiles from my web location should be in sync with the latest
	distname used in the ports so fetching and checksumming should work
	with that. Binary packages (i386/FreeBSD6-stable) can be fetched from
	http://freebsd.ricin.com/ports/packages/All/
Comment 1 Edwin Groothuis freebsd_committer 2007-02-27 18:11:52 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-python

freebsd-python@ wants to have py- PRs
Comment 2 Martin Wilke freebsd_committer 2007-02-27 19:32:13 UTC
Responsible Changed
From-To: freebsd-python->miwi

I'll take it.
Comment 3 Martin Wilke freebsd_committer 2007-03-07 15:07:52 UTC
State Changed
From-To: open->closed

applied in external repo.
Comment 4 dfilter freebsd_committer 2007-03-27 10:58:55 UTC
miwi        2007-03-27 09:58:49 UTC

  FreeBSD ports repository

  Modified files:
    devel                Makefile 
  Added files:
    devel/py-qt4-dbus    Makefile distinfo pkg-descr pkg-plist 
    devel/py-qt4-dbus/files patch-configure.py 
  Log:
  PyQt4 is a set of Python bindings for Trolltech's Qt4 application framework.
  This package provides the D-BUS module.
  
  WWW: http://www.riverbankcomputing.co.uk/pyqt/
  
  PR:             ports/109626
  Submitted by:   Danny Pansters <danny at ricin.com>
  
  Revision  Changes    Path
  1.2702    +1 -0      ports/devel/Makefile
  1.1       +47 -0     ports/devel/py-qt4-dbus/Makefile (new)
  1.1       +3 -0      ports/devel/py-qt4-dbus/distinfo (new)
  1.1       +178 -0    ports/devel/py-qt4-dbus/files/patch-configure.py (new)
  1.1       +4 -0      ports/devel/py-qt4-dbus/pkg-descr (new)
  1.1       +1 -0      ports/devel/py-qt4-dbus/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"